package com.jasamedika.medifirst2000.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;
import javax.validation.constraints.NotNull;

import com.jasamedika.medifirst2000.base.BaseTransaction;
import com.jasamedika.medifirst2000.helper.Caption;

@Entity 
@Table(name="KeteranganLainLainDetail_T")
public class KeteranganLainLainDetail extends BaseTransaction{
	@ManyToOne
	@JoinColumn(name = "ObjectprodukDetailLabAnatomiFk")
	@Caption(value="Object produkDetailLabAnatomi")
	private ProdukDetailLabAnatomi produkDetailLabAnatomi;
	
	@Column(name = "ObjectprodukDetailLabAnatomiFk", insertable=false,updatable=false, nullable=false)
	private String produkDetailLabAnatomiId;

	@ManyToOne
	@JoinColumn(name = "ObjectketeranganLainLainFk")
	@NotNull(message="Object keteranganLainLain Harus Diisi")
	@Caption(value="Object keteranganLainLain")
	private KeteranganLainLain keteranganLainLain;

	@Column(name = "ObjectketeranganLainLainFk", insertable=false,updatable=false, nullable=false)
	private Integer keteranganLainLainId;

	@Column(name = "isNilai")
	@Caption(value = "Is Nilai")
	private Boolean isNilai;

	public ProdukDetailLabAnatomi getProdukDetailLabAnatomi() {
		return produkDetailLabAnatomi;
	}

	public void setProdukDetailLabAnatomi(ProdukDetailLabAnatomi produkDetailLabAnatomi) {
		this.produkDetailLabAnatomi = produkDetailLabAnatomi;
	}

	public String getProdukDetailLabAnatomiId() {
		return produkDetailLabAnatomiId;
	}

	public void setProdukDetailLabAnatomiId(String produkDetailLabAnatomiId) {
		this.produkDetailLabAnatomiId = produkDetailLabAnatomiId;
	}

	public KeteranganLainLain getKeteranganLainLain() {
		return keteranganLainLain;
	}

	public void setKeteranganLainLain(KeteranganLainLain keteranganLainLain) {
		this.keteranganLainLain = keteranganLainLain;
	}

	public Integer getKeteranganLainLainId() {
		return keteranganLainLainId;
	}

	public void setKeteranganLainLainId(Integer keteranganLainLainId) {
		this.keteranganLainLainId = keteranganLainLainId;
	}

	public Boolean getIsNilai() {
		return isNilai;
	}

	public void setIsNilai(Boolean isNilai) {
		this.isNilai = isNilai;
	}
	
}
